MozillaZine

Post the extensions you want compatible with SeaMonkey

Talk about add-ons and extension development.
MasterHazer
 
Posts: 3
Joined: January 25th, 2010, 8:16 pm

Post Posted February 7th, 2010, 6:42 pm

Philip Chee wrote:The author of Speed Dial did promise to look into making it compatible with SeaMonkey but I guess he's forgotten.


If i'm not wrong i saw a post that he was saying 3 years ago he would make... But nothing yet...

Philip Chee wrote:Conduit has a bad reputation as malware and spyware. They claim to have reformed and are on the straight and narrow, but I'm not holding my breath. Also Conduit toolbars are not open source so you aren't allowed to modify them.


I see, i see... Thanks anyway ;D
And man, you Rocks! ^^

PS: sorry for the bad english =D

damodar
 
Posts: 4
Joined: February 7th, 2010, 7:12 pm

Post Posted February 7th, 2010, 7:16 pm

Hello!
Can you, please, make these extensions compatible with Seamonkey 2 (2.0.2 specifically): ImgLikeOpera, QuickNote, StopAutoplay, SpeedDial?

With the best regards,
Denis

lazybones88

User avatar
 
Posts: 79
Joined: June 9th, 2006, 10:14 am

Post Posted February 12th, 2010, 10:52 am

How about a Silverlight plugin for SM 2 +

Philip Chee

User avatar
 
Posts: 6475
Joined: March 1st, 2005, 3:03 pm

Post Posted February 12th, 2010, 11:54 am

lazybones88 wrote:How about a Silverlight plugin for SM 2 +

??? Silverlight already works fine in SeaMonkey. You'll need at least v3.0 of the Silverlight plugin installer I think.

Phil

lazybones88

User avatar
 
Posts: 79
Joined: June 9th, 2006, 10:14 am

Post Posted February 12th, 2010, 4:12 pm

Philip Chee wrote:
lazybones88 wrote:How about a Silverlight plugin for SM 2 +

??? Silverlight already works fine in SeaMonkey. You'll need at least v3.0 of the Silverlight plugin installer I think.

Phil
I have version 3.0.50160.0 installed but can not watch any of the videos at:
http://www.nbcolympics.com/--must be the web site.
I am running SeaMonkey 2.0.3

Philip Chee

User avatar
 
Posts: 6475
Joined: March 1st, 2005, 3:03 pm

Post Posted February 12th, 2010, 6:22 pm

lazybones88 wrote:
Philip Chee wrote:
lazybones88 wrote:How about a Silverlight plugin for SM 2 +

??? Silverlight already works fine in SeaMonkey. You'll need at least v3.0 of the Silverlight plugin installer I think.

Phil
I have version 3.0.50160.0 installed but can not watch any of the videos at:
http://www.nbcolympics.com/--must be the web site.
I am running SeaMonkey 2.0.3

Can you start another thread? This is a tech support question and off topic for this one. Thanks.

Phil

iav

User avatar
 
Posts: 120
Joined: September 23rd, 2005, 3:18 pm

Post Posted February 12th, 2010, 6:55 pm

Philip, would you update a "context search" port to replace "google search" context menu item not only on browser, but on mail body context menu too?

Philip Chee

User avatar
 
Posts: 6475
Joined: March 1st, 2005, 3:03 pm

Post Posted February 12th, 2010, 8:30 pm

iav wrote:Philip, would you update a "context search" port to replace "google search" context menu item not only on browser, but on mail body context menu too?

I think you asked this earlier.It's still on my TODO list.

Phil

iav

User avatar
 
Posts: 120
Joined: September 23rd, 2005, 3:18 pm

Post Posted February 12th, 2010, 9:23 pm

Oh, sorry, I forget about it.

wolfxr
 
Posts: 2
Joined: February 13th, 2010, 10:15 am

Post Posted February 13th, 2010, 10:23 am

adapt please theme of NASA Night Launch under Seamonkey 2.0
I can not in any way contact with the author of theme

turu

User avatar
 
Posts: 365
Joined: August 25th, 2009, 5:27 am

Post Posted February 13th, 2010, 11:37 am

wolfxr wrote:adapt please theme of NASA Night Launch under Seamonkey 2.0
I can not in any way contact with the author of theme

better to ask at here. viewtopic.php?t=547498

ggrussell
 
Posts: 30
Joined: February 27th, 2005, 10:01 pm

Post Posted February 14th, 2010, 11:14 am

I'm surprised that Windows Media Player has never been added. There are still lots of sites using WMP. The really old plugin from MS worked with previous versions of Seamonkey, but not since V2 was released.

ElTxolo

User avatar
 
Posts: 2240
Joined: July 30th, 2007, 9:35 am
Location: Localhost

Post Posted February 14th, 2010, 4:33 pm

ggrussell wrote:I'm surprised that Windows Media Player has never been added. There are still lots of sites using WMP. The really old plugin from MS worked with previous versions of Seamonkey, but not since V2 was released.

• Windows Media and 2.0b1pre [SOLVED] :-"
How to Ask Questions The Smart Way - How to Report Bugs Effectively ;)
Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20171015 SeaMonkey/2.49.1
Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20170619 SeaMonkey/2.51

rolfp

User avatar
 
Posts: 135
Joined: November 8th, 2009, 10:51 am

Post Posted February 14th, 2010, 9:04 pm

Hi. I'm following the Lightning Now Officially Supports SeaMonkey 2! thread, which led me to Lightning 1.0 beta1 now available for download where I found
Linux 64 bit builds are available at:
ftp://ftp.mozilla.org/pub/calendar/ligh ... ux-x86_64/

There, lightning.xpi installs and is functioning, it seems, but gdata-provider.xpi errors "not compatible with Seamonkey 2.0.3" on this linux x86_64 build Philip Chee has provided for 2.0.3 build 1. Can this be modified to install/work? Thanks.

Philip Chee

User avatar
 
Posts: 6475
Joined: March 1st, 2005, 3:03 pm

Post Posted February 14th, 2010, 9:36 pm

rolfp wrote:Hi. I'm following the Lightning Now Officially Supports SeaMonkey 2! thread, which led me to Lightning 1.0 beta1 now available for download where I found
Linux 64 bit builds are available at:
ftp://ftp.mozilla.org/pub/calendar/ligh ... ux-x86_64/

There, lightning.xpi installs and is functioning, it seems, but gdata-provider.xpi errors "not compatible with Seamonkey 2.0.3" on this linux x86_64 build Philip Chee has provided for 2.0.3 build 1. Can this be modified to install/work? Thanks.

Um, what linux build? I haven't provided a linux anything build for anything? The files in this directory are "contributed builds" so you could try contacting the person who contributed this build,The problem isn't with the source of the gdata-provider itself since the source has this in the install.rdf:

Code: Select all
    <em:targetApplication>
      <Description>
        <!-- SeaMonkey -->
        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
        <em:minVersion>@SEAMONKEY_VERSION@</em:minVersion>
        <em:maxVersion>@SEAMONKEY_VERSION@</em:maxVersion>
      </Description>
    </em:targetApplication>


Having had a quick peek, I don't see any binary components in this extension so the "normal" gdata-provider.xpi from ftp://ftp.mozilla.org/pub/calendar/lightning/nightly/latest-comm-1.9.1/linux-xpi should work.

Phil

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 0 guests